## python-neutron-lib 0.0.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
Babel>=1.3 # BSD

debtcollector>=1.2.0 # Apache-2.0
oslo.config>=3.7.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=4.0.0 # Apache-2.0
oslo.service>=1.0.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0

=== debian/changelog ===
python-neutron-lib (0.0.2-2) unstable; urgency=medium

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Enhanced long description.

  [ Corey Bryant ]
  * d/p/drop-sphinx-git.patch: Drop use of git from sphinx config.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 09:30:43 +0000

python-neutron-lib (0.0.2-1) experimental; urgency=medium

  * Initial release. (Closes: #816605)

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 20:42:05 +0800

=== debian/control ===
Source: python-neutron-lib
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-debtcollector (>= 1.2.0),
                     python-hacking,
                     python-os-testr (>= 0.4.1),
                     python-oslo.config (>= 3.7.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.messaging (>= 4.0.0),
                     python-oslo.service (>= 1.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python3-babel,
                     python3-debtcollector (>= 1.2.0),
                     python3-os-testr (>= 0.4.1),
                     python3-oslo.config (>= 3.7.0),
                     python3-oslo.db (>= 4.1.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.log (>= 1.14.0),
                     python3-oslo.messaging (>= 4.0.0),
                     python3-oslo.service (>= 1.0.0),
                     python3-oslo.utils (>= 3.5.0),
                     python3-oslotest (>= 1.10.0),
                     python3-subunit,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-neutron-lib.git
Vcs-Git: https://anonscm.debian.org/git/openstack/python-neutron-lib.git
Homepage: http://www.openstack.org/

Package: python-neutron-lib
Architecture: all
Depends: python-babel,
         python-debtcollector (>= 1.2.0),
         python-oslo.config (>= 3.7.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 1.14.0),
         python-oslo.messaging (>= 4.0.0),
         python-oslo.service (>= 1.0.0),
         python-oslo.utils (>= 3.5.0),
         python-pbr (>= 1.8),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-neutron-lib-doc,
Description: Neutron shared routines and utilities - Python 2.7
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron-lib is an OpenStack library project used by Neutron, Advanced
 Services, and third-party projects to provide common functionality and remove
 duplication.
 .
 This package provides shared routines and utilities for Python 2.7.

Package: python3-neutron-lib
Architecture: all
Depends: python3-babel,
         python3-debtcollector (>= 1.2.0),
         python3-oslo.config (>= 3.7.0),
         python3-oslo.db (>= 4.1.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.log (>= 1.14.0),
         python3-oslo.messaging (>= 4.0.0),
         python3-oslo.service (>= 1.0.0),
         python3-oslo.utils (>= 3.5.0),
         python3-pbr (>= 1.8),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-neutron-lib-doc,
Description: Neutron shared routines and utilities - Python 3.x
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron-lib is an OpenStack library project used by Neutron, Advanced
 Services, and third-party projects to provide common functionality and remove
 duplication.
 .
 This package provides shared routines and utilities for Python 3.x.

Package: python-neutron-lib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Neutron shared routines and utilities - doc
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron-lib is an OpenStack library project used by Neutron, Advanced
 Services, and third-party projects to provide common functionality and remove
 duplication.
 .
 This package contains the documentation of neutron-lib.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/neutron-lib.git
-include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/')

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-neutron-lib; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-neutron-lib; \
	done
	rm -rf $(CURDIR)/debian/python*-neutron-lib/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif


override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-neutron-lib-doc/usr/share/doc/python-neutron-lib-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build


# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/n/neutron-lib neutron-lib-(.*).tar.gz

## python-neutron-lib 0.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
Babel>=2.3.4 # BSD

SQLAlchemy<1.1.0,>=1.0.10 # MIT
debtcollector>=1.2.0 # Apache-2.0
oslo.config>=3.14.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.db>=4.10.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.policy>=1.9.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0

=== debian/changelog ===
python-neutron-lib (0.4.0-0ubuntu1~cloud0) xenial-newton; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 30 Aug 2016 19:00:25 +0000

python-neutron-lib (0.4.0-0ubuntu1) yakkety; urgency=medium

  [ Thomas Goirand ]
  * Fixed missing EPOC in oslo.config (build-)depends.

  [ Corey Bryant ]
  * New upstream release.
  * d/rules: Use https for UPSTREAM_GIT.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * New upstream release
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Aug 2016 13:34:57 -0400

python-neutron-lib (0.2.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch config for Newton.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Added Corey Bryant <corey.bryant@canonical.com> as Uploaders:.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Jun 2016 01:30:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: python-neutron-lib
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
+           Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                python-all,
@@ -12,54 +14,68 @@
                python3-all,
                python3-pbr (>= 1.8),
                python3-setuptools,
-Build-Depends-Indep: python-babel,
+Build-Depends-Indep: python-babel (>= 2.3.4),
                      python-coverage,
                      python-debtcollector (>= 1.2.0),
+                     python-fixtures (>= 3.0.0),
                      python-hacking,
-                     python-os-testr (>= 0.4.1),
-                     python-oslo.config (>= 3.7.0),
-                     python-oslo.db (>= 4.1.0),
+                     python-os-testr (>= 0.7.0),
+                     python-oslo.config (>= 1:3.14.0),
+                     python-oslo.context (>= 2.9.0),
+                     python-oslo.db (>= 4.10.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 1.14.0),
-                     python-oslo.messaging (>= 4.0.0),
-                     python-oslo.service (>= 1.0.0),
-                     python-oslo.utils (>= 3.5.0),
+                     python-oslo.messaging (>= 5.2.0),
+                     python-oslo.policy (>= 1.9.0),
+                     python-oslo.service (>= 1.10.0),
+                     python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
+                     python-pep8,
+                     python-sqlalchemy (>= 1.0.10),
+                     python-testresources (>= 0.2.4),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
-                     python3-babel,
+                     python3-babel (>= 2.3.4),
                      python3-debtcollector (>= 1.2.0),
-                     python3-os-testr (>= 0.4.1),
-                     python3-oslo.config (>= 3.7.0),
-                     python3-oslo.db (>= 4.1.0),
+                     python3-fixtures (>= 3.0.0),
+                     python3-os-testr (>= 0.7.0),
+                     python3-oslo.config (>= 1:3.14.0),
+                     python3-oslo.context (>= 2.9.0),
+                     python3-oslo.db (>= 4.10.0),
                      python3-oslo.i18n (>= 2.1.0),
                      python3-oslo.log (>= 1.14.0),
-                     python3-oslo.messaging (>= 4.0.0),
-                     python3-oslo.service (>= 1.0.0),
-                     python3-oslo.utils (>= 3.5.0),
+                     python3-oslo.messaging (>= 5.2.0),
+                     python3-oslo.policy (>= 1.9.0),
+                     python3-oslo.service (>= 1.10.0),
+                     python3-oslo.utils (>= 3.16.0),
                      python3-oslotest (>= 1.10.0),
+                     python3-pep8,
+                     python3-sqlalchemy (>= 1.0.10),
                      python3-subunit,
+                     python3-testresources (>= 0.2.4),
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
                      subunit,
                      testrepository,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-neutron-lib.git
 Vcs-Git: https://anonscm.debian.org/git/openstack/python-neutron-lib.git
 Homepage: http://www.openstack.org/
 
 Package: python-neutron-lib
 Architecture: all
-Depends: python-babel,
+Depends: python-babel (>= 2.3.4),
          python-debtcollector (>= 1.2.0),
-         python-oslo.config (>= 3.7.0),
-         python-oslo.db (>= 4.1.0),
+         python-oslo.config (>= 1:3.14.0),
+         python-oslo.context (>= 2.9.0),
+         python-oslo.db (>= 4.10.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 1.14.0),
-         python-oslo.messaging (>= 4.0.0),
-         python-oslo.service (>= 1.0.0),
-         python-oslo.utils (>= 3.5.0),
+         python-oslo.messaging (>= 5.2.0),
+         python-oslo.policy (>= 1.9.0),
+         python-oslo.service (>= 1.10.0),
+         python-oslo.utils (>= 3.16.0),
          python-pbr (>= 1.8),
          ${misc:Depends},
          ${python:Depends},
@@ -78,15 +94,17 @@
 
 Package: python3-neutron-lib
 Architecture: all
-Depends: python3-babel,
+Depends: python3-babel (>= 2.3.4),
          python3-debtcollector (>= 1.2.0),
-         python3-oslo.config (>= 3.7.0),
-         python3-oslo.db (>= 4.1.0),
+         python3-oslo.config (>= 1:3.14.0),
+         python3-oslo.context (>= 2.9.0),
+         python3-oslo.db (>= 4.10.0),
          python3-oslo.i18n (>= 2.1.0),
          python3-oslo.log (>= 1.14.0),
-         python3-oslo.messaging (>= 4.0.0),
-         python3-oslo.service (>= 1.0.0),
-         python3-oslo.utils (>= 3.5.0),
+         python3-oslo.messaging (>= 5.2.0),
+         python3-oslo.policy (>= 1.9.0),
+         python3-oslo.service (>= 1.10.0),
+         python3-oslo.utils (>= 3.16.0),
          python3-pbr (>= 1.8),
          ${misc:Depends},
          ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/openstack/neutron-lib.git
+UPSTREAM_GIT = https://github.com/openstack/neutron-lib.git
 -include /usr/share/openstack-pkg-tools/pkgos.make
 
 export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/')

## python-neutron-lib 1.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.8 # Apache-2.0

SQLAlchemy<1.1.0,>=1.0.10 # MIT
debtcollector>=1.2.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.db>=4.15.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.messaging>=5.14.0 # Apache-2.0
oslo.policy>=1.17.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0

=== debian/changelog ===
python-neutron-lib (1.1.0-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 04 Aug 2017 14:18:05 +0200

python-neutron-lib (0.4.0-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Ondřej Kobližek ]
  * Patch-out upper constraints of SQLAlchemy

 -- Ondřej Kobližek <koblizeko@gmail.com>  Tue, 29 Nov 2016 12:19:05 +0100

python-neutron-lib (0.4.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed oslotest EPOCH.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:11:38 +0200

python-neutron-lib (0.4.0-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * Fixed missing EPOC in oslo.config (build-)depends.

  [ Corey Bryant ]
  * New upstream release.
  * d/rules: Use https for UPSTREAM_GIT.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * New upstream release
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit as VCS URLs.
  * Fix .gitreview to point at packaging-deb's gerrit.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Sep 2016 16:56:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: python-neutron-lib
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                python-all,
                python-pbr (>= 1.8),
@@ -21,16 +20,17 @@
                      python-hacking,
                      python-os-testr (>= 0.7.0),
                      python-oslo.config (>= 1:3.14.0),
+                     python-oslo.concurrency (>=3.8.0),
                      python-oslo.context (>= 2.9.0),
-                     python-oslo.db (>= 4.10.0),
+                     python-oslo.db (>= 4.15.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 1.14.0),
-                     python-oslo.messaging (>= 5.2.0),
-                     python-oslo.policy (>= 1.9.0),
+                     python-oslo.log (>= 3.11.0),
+                     python-oslo.messaging (>= 5.14.0),
+                     python-oslo.policy (>= 1.17.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.16.0),
+                     python-oslo.utils (>= 3.18.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-pep8,
                      python-sqlalchemy (>= 1.0.10),
                      python-testresources (>= 0.2.4),
@@ -39,17 +39,18 @@
                      python3-babel (>= 2.3.4),
                      python3-debtcollector (>= 1.2.0),
                      python3-fixtures (>= 3.0.0),
+                     python3-oslo.concurrency (>=3.8.0),
                      python3-os-testr (>= 0.7.0),
                      python3-oslo.config (>= 1:3.14.0),
                      python3-oslo.context (>= 2.9.0),
-                     python3-oslo.db (>= 4.10.0),
+                     python3-oslo.db (>= 4.15.0),
                      python3-oslo.i18n (>= 2.1.0),
-                     python3-oslo.log (>= 1.14.0),
-                     python3-oslo.messaging (>= 5.2.0),
-                     python3-oslo.policy (>= 1.9.0),
+                     python3-oslo.log (>= 3.11.0),
+                     python3-oslo.messaging (>= 5.14.0),
+                     python3-oslo.policy (>= 1.17.0),
                      python3-oslo.service (>= 1.10.0),
-                     python3-oslo.utils (>= 3.16.0),
-                     python3-oslotest (>= 1.10.0),
+                     python3-oslo.utils (>= 3.18.0),
+                     python3-oslotest (>= 1:1.10.0),
                      python3-pep8,
                      python3-sqlalchemy (>= 1.0.10),
                      python3-subunit,
@@ -69,13 +70,14 @@
          python-debtcollector (>= 1.2.0),
          python-oslo.config (>= 1:3.14.0),
          python-oslo.context (>= 2.9.0),
-         python-oslo.db (>= 4.10.0),
+         python-oslo.concurrency (>=3.8.0),
+         python-oslo.db (>= 4.15.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.log (>= 1.14.0),
-         python-oslo.messaging (>= 5.2.0),
-         python-oslo.policy (>= 1.9.0),
+         python-oslo.log (>= 3.11.0),
+         python-oslo.messaging (>= 5.14.0),
+         python-oslo.policy (>= 1.17.0),
          python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.16.0),
+         python-oslo.utils (>= 3.18.0),
          python-pbr (>= 1.8),
          ${misc:Depends},
          ${python:Depends},
@@ -98,13 +100,14 @@
          python3-debtcollector (>= 1.2.0),
          python3-oslo.config (>= 1:3.14.0),
          python3-oslo.context (>= 2.9.0),
-         python3-oslo.db (>= 4.10.0),
+         python3-oslo.db (>= 4.15.0),
+         python3-oslo.concurrency (>=3.8.0),
          python3-oslo.i18n (>= 2.1.0),
-         python3-oslo.log (>= 1.14.0),
-         python3-oslo.messaging (>= 5.2.0),
-         python3-oslo.policy (>= 1.9.0),
+         python3-oslo.log (>= 3.11.0),
+         python3-oslo.messaging (>= 5.14.0),
+         python3-oslo.policy (>= 1.17.0),
          python3-oslo.service (>= 1.10.0),
-         python3-oslo.utils (>= 3.16.0),
+         python3-oslo.utils (>= 3.18.0),
          python3-pbr (>= 1.8),
          ${misc:Depends},
          ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -48,6 +48,9 @@
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf build
+	rm -rf .testrepository
+	rm -f AUTHORS
+	rm -f ChangeLog
 
 
 # Commands not to run

## python-neutron-lib 1.9.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0

SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
debtcollector>=1.2.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.context>=2.14.0 # Apache-2.0
oslo.db>=4.24.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.messaging!=5.25.0,>=5.24.2 # Apache-2.0
oslo.policy>=1.23.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0

=== debian/changelog ===
python-neutron-lib (1.9.1-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 31 Jul 2017 17:48:59 +0000

python-neutron-lib (1.9.1-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 31 Jul 2017 12:44:26 -0400

python-neutron-lib (1.7.0-0ubuntu1) artful; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Thu, 25 May 2017 10:21:31 +0100

python-neutron-lib (1.4.0-0ubuntu2) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 09:10:45 +0100

python-neutron-lib (1.4.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ James Page ]
  * New upstream release.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:01:37 +0100

python-neutron-lib (1.1.0-0ubuntu1) zesty; urgency=medium

  * debian/watch: Update watch file. 
  * New upstream version.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-sphinx-git.patch: Dropped no longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 17 Jan 2017 08:55:35 -0500

python-neutron-lib (1.0.0-1ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * debian/watch: Fix URL to download the correct tarball. 
  * New upstream version.
  * debian/control: 
    - Bump dependencies
    - Add python-oslo.concurrency 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 07 Nov 2016 09:22:45 -0500

=== debian/control ===
Source: python-neutron-lib
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-pbr (>= 2.0),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 2.0),
               python3-setuptools,
Build-Depends-Indep: python-babel (>= 2.3.4),
                     python-coverage (>= 4.0),
                     python-debtcollector (>= 1.2.0),
                     python-fixtures (>= 3.0.0),
                     python-hacking (>= 0.12.0),
                     python-openstackdocstheme (>= 1.11.0),
                     python-os-testr (>= 0.8.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:4.0.0),
                     python-oslo.context (>= 2.14.0),
                     python-oslo.db (>= 4.24.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.22.0),
                     python-oslo.messaging (>= 5.24.2),
                     python-oslo.policy (>= 1.23.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.20.0),
                     python-oslotest (>= 1.10.0),
                     python-pep8 (>= 1.5.7),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1:1.20.0),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python3-babel (>= 2.3.4),
                     python3-debtcollector (>= 1.2.0),
                     python3-fixtures (>= 3.0.0),
                     python3-openstackdocstheme (>= 1.11.0),
                     python3-os-testr (>= 0.8.0),
                     python3-oslo.concurrency (>= 3.8.0),
                     python3-oslo.config (>= 1:4.0.0),
                     python3-oslo.context (>= 2.14.0),
                     python3-oslo.db (>= 4.24.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.log (>= 3.22.0),
                     python3-oslo.messaging (>= 5.24.2),
                     python3-oslo.policy (>= 1.23.0),
                     python3-oslo.service (>= 1.10.0),
                     python3-oslo.utils (>= 3.20.0),
                     python3-oslotest (>= 1.10.0),
                     python3-pep8 (>= 1.5.7),
                     python3-sqlalchemy (>= 1.0.10),
                     python3-stevedore (>= 1:1.20.0),
                     python3-subunit,
                     python3-testresources (>= 0.2.4),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-neutron-lib
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-neutron-lib
Homepage: http://www.openstack.org/
XS-Testsuite: autopkgtest

Package: python-neutron-lib
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-debtcollector (>= 1.2.0),
         python-oslo.config (>= 1:4.0.0),
         python-oslo.context (>= 2.14.0),
         python-oslo.db (>= 4.24.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.22.0),
         python-oslo.messaging (>= 5.24.2),
         python-oslo.policy (>= 1.23.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.20.0),
         python-pbr (>= 2.0),
         python-stevedore (>= 1:1.20.0),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-neutron-lib-doc,
Description: Neutron shared routines and utilities - Python 2.7
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron-lib is an OpenStack library project used by Neutron, Advanced
 Services, and third-party projects to provide common functionality and remove
 duplication.
 .
 This package provides shared routines and utilities for Python 2.7.

Package: python3-neutron-lib
Architecture: all
Depends: python3-babel (>= 2.3.4),
         python3-debtcollector (>= 1.2.0),
         python3-oslo.config (>= 1:4.0.0),
         python3-oslo.context (>= 2.14.0),
         python3-oslo.db (>= 4.24.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.log (>= 3.22.0),
         python3-oslo.messaging (>= 5.24.2),
         python3-oslo.policy (>= 1.23.0),
         python3-oslo.service (>= 1.10.0),
         python3-oslo.utils (>= 3.20.0),
         python3-pbr (>= 2.0),
         python3-stevedore (>= 1:1.20.0),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-neutron-lib-doc,
Description: Neutron shared routines and utilities - Python 3.x
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron-lib is an OpenStack library project used by Neutron, Advanced
 Services, and third-party projects to provide common functionality and remove
 duplication.
 .
 This package provides shared routines and utilities for Python 3.x.

Package: python-neutron-lib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Neutron shared routines and utilities - doc
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron-lib is an OpenStack library project used by Neutron, Advanced
 Services, and third-party projects to provide common functionality and remove
 duplication.
 .
 This package contains the documentation of neutron-lib.

## python-neutron-lib 1.13.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0

SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
debtcollector>=1.2.0 # Apache-2.0
keystoneauth1>=3.3.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
oslo.concurrency>=3.25.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
WebOb>=1.7.1 # MIT

=== debian/changelog ===
python-neutron-lib (1.13.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Jan 2018 15:54:16 -0500

python-neutron-lib (1.11.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Switch unit test execution to use ostestr, easing migrations
    from testrepository to stestr.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Nov 2017 09:26:01 +0000

=== debian/control ===
Source: python-neutron-lib
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 netbase,
 python-babel (>= 2.3.4),
 python-coverage (>= 4.0),
 python-debtcollector (>= 1.2.0),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.12.0),
 python-keystoneauth1 (>= 3.3.0),
 python-openstackdocstheme (>= 1.17.0),
 python-os-api-ref (>= 1.4.0),
 python-os-testr (>= 1.0.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-pep8 (>= 1.5.7),
 python-sqlalchemy (>= 1.0.10),
 python-subunit (>= 1.0.0),
 python-stevedore (>= 1:1.20.0),
 python-testresources (>= 2.0.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-webob (>= 1:1.7.1),
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.2.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-openstackdocstheme (>= 1.17.0),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pep8 (>= 1.5.7),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-neutron-lib
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-neutron-lib
Homepage: http://www.openstack.org/
XS-Testsuite: autopkgtest

Package: python-neutron-lib
Architecture: all
Depends:
 python-babel (>= 2.3.4),
 python-debtcollector (>= 1.2.0),
 python-keystoneauth1 (>= 3.3.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-neutron-lib-doc,
Description: Neutron shared routines and utilities - Python 2.7
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron-lib is an OpenStack library project used by Neutron, Advanced
 Services, and third-party projects to provide common functionality and remove
 duplication.
 .
 This package provides shared routines and utilities for Python 2.7.

Package: python-neutron-lib-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Neutron shared routines and utilities - doc
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron-lib is an OpenStack library project used by Neutron, Advanced
 Services, and third-party projects to provide common functionality and remove
 duplication.
 .
 This package contains the documentation of neutron-lib.

Package: python3-neutron-lib
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-debtcollector (>= 1.2.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-neutron-lib-doc,
Description: Neutron shared routines and utilities - Python 3.x
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron-lib is an OpenStack library project used by Neutron, Advanced
 Services, and third-party projects to provide common functionality and remove
 duplication.
 .
 This package provides shared routines and utilities for Python 3.x.

=== debian/rules ===
--- 
+++ 
@@ -28,13 +28,7 @@
 	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
 		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
 		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
-		rm -rf .testrepository ; \
-		testr-python$$PYMAJOR init ; \
-		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
-		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
-		rm -f $$TEMP_REZ ; \
-		testr-python$$PYMAJOR slowest ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i python$$PYMAJOR-ostestr; \
 	done
 endif
 
@@ -48,9 +42,6 @@
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf build
-	rm -rf .testrepository
-	rm -f AUTHORS
-	rm -f ChangeLog
 
 
 # Commands not to run

=== debian/tests/control ===
Tests: neutron-lib
Depends: python-neutron-lib

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ 
http://tarballs.openstack.org/neutron-lib neutron-lib-(\d.*)\.tar\.gz
